curl --request GET \
--url https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}import requests
url = "https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.embedreach.com/api/resources/{schemaDefinitionNameOrId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {}
}
],
"pagination": {
"hasNextPage": true,
"cursor": "<string>",
"total": 123
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"businessId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_external_id": "<string>",
"resourceExternalId": "<string>",
"created_at": "<string>",
"createdAt": "<string>",
"updated_at": "<string>",
"updatedAt": "<string>",
"data": {}
}
]
}
}{
"message": "<string>",
"success": false,
"errors": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"data": {
"error": "<string>"
}
}List Resources
Retrieves all resources using schema name or ID. Can include reference fields to resolve and filter by field values. Supports pagination using cursor and limit parameters.
Headers
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
Path Parameters
The name or id of the schema definition to filter the resources by
Query Parameters
Comma-separated list of reference ($ref) fields to include in the response. (Supports nested references with dot notation)
Map of field names to values to filter the resources by. Can be in the format ?filters[field_name]=value&filters[other_field_name]=value2
Show child attributes
Show child attributes
Cursor for pagination. Use the cursor from the previous response to get the next page.
Number of items to return per page. Default is 100, maximum is 1000.
Whether to include total count in pagination response. Default is true. DEPRECATION NOTICE: The default will change to false in a future release for performance reasons. If you rely on pagination.total, explicitly set includeCounts=true.
true, false How to return reference fields: object = { type, id } (default), id = plain id or array of ids. "id" is recommended and will become the default in a future version.
object, id